# Release Notes for NCID 1.10.1

## Index

> * NCID Distributions
> * Distribution Changes
> * Server Changes
> * Gateway Changes
> * Client Changes
> * Client Output Module Changes
> * Client AppStream data Changes
> * Setup Scripts Changes
> * Udev File Changes
> * Documentation Changes

## NCID Distributions

> * SourceForge
> * Fedora packages
> * RPM based OS packages
> * Macintosh OS X package
> * FreeBSD package
> * Debian based OS packages

> ### SourceForge

>> The Fedora, FreeBSD, Raspbian and Ubuntu packages may be included in repositories.

            NCID source package:           ncid-1.10.1-src.tar.gz

            Cygwin 32 bit Windows package: ncid-1.10.1-cygwin_install.sh

            Debian packages:               Raspbian and Ubuntu are Debian packages

            Fedora 64 bit packages:        ncid-1.10.1-1.fc29.x86_64.rpm
                                           ncid-gateways-1.10.1-1.fc29.x86_64.rpm

            Fedora no-arch packages:       ncid-client-1.10.1-1.fc29.noarch.rpm
                                           ncid-kpopup-1.10.1-1.fc29.noarch.rpm
                                           ncid-mysql-1.10.1-1.fc29.noarch.rpm
                                           ncid-mythtv-1.10.1-1.fc29.noarch.rpm
                                           ncid-samba-1.10.1-1.fc29.noarch.rpm
                                           ncid-speak-1.10.1-1.fc29.noarch.rpm

            FreeBSD 64 bit package:        ncid-1.10.1-FreeBSD-10.2_install.sh

            Macintosh 64 bit OS X package: ncid-1.10.1-mac-osx_install.sh
            (Universal binary, OSX 10.5+)

            Raspbian 32 bit packages:      ncid_1.10.1-1_armhf.deb
            (Raspberry Pi)                 ncid-gateways_1.10.1-1_armhf.deb

            Ubuntu 64 bit packages:        ncid_1.10.1-1_amd64.deb
                                           ncid-gateways_1.10.1-1_amd64.deb

            Raspbian and Ubuntu no-arch packages:
                                           ncid-client_1.10.1-1_all.deb
                                           ncid-kpopup_1.10.1-1_all.deb
                                           ncid-mysql_1.10.1-1_all.deb
                                           ncid-mythtv_1.10.1-1_all.deb
                                           ncid-samba_1.10.1-1_all.deb
                                           ncid-speak_1.10.1-1_all.deb

            Windows client installer:      ncid-1.10.1-client_windows_setup.exe

> ### Fedora packages

>> Available at the Fedora repository.
   New release first appears in the rawhide repository.
   There are server, client and optional output module packages.
   Normally you only need to install the **ncid** rpm package.
   The **ncid-gateways** and **ncid-client** rpm packages may also
   be required.

>> The dnf list command will show you the packages available:
>>
          dnf list ncid\*

>> If the above does not show version 1.10.1:
>>
          dnf --enablerepo=rawhide list ncid\*

>> If the rawhide repo is not installed:
>>
          dnf install fedora-release-rawhide

>> If you need to build packages for your specific OS release:
>>
          rpmbuild -tb ncid-1.10.1-src.tar.gz

> ### RPM based OS packages

>> Includes Fedora, Redhat, CentOS, etc.

>> If a dependency can not be resolved, you should try rebuilding packages:
>>
    - Download the latest NCID RPM packages from SourceForge:
      ncid RPM Package          - server, extensions and tools
      ncid-gateways RPM Package - gateways (if using a gateway)
      ncid-client RPM Package   - client and default output modules
                                  (if using this client)
    - Download any optional output modules wanted:
      ncid-MODULE RPM Package  - optional client output modules
    - Install or Upgrade the packages using dnf
          * Install the NCID server and gateways:
            sudo dnf install ncid-<version>.fc29.x86_64.rpm
          * Install the client package and default modules:
            sudo dnf install ncid-client-<version>.fc29.noarch.rpm
          * Install any optional modules wanted:
            sudo dnf ncid-<module>-<version>.fc29.noarch.rpm
>>
    Notes:
        <version> would be something like: 1.10.1-1
        <module> would be: kpopup, mysql, mythtv, samba, speak

> ### Macintosh OS X package

>> The version available at MacPorts is 0.83 which was released
>> October 2011. It is not currently maintained:
>>
>>> http://trac.macports.org/browser/trunk/dports/net/ncid/Portfile
>>
>> Use the version available at SourceForge.

> ### FreeBSD package

>> Available at FreshPorts.
>>
>>> http://www.freshports.org/comms/ncid/

> ### Debian based OS packages

>> Includes Debian, Raspbian, Ubuntu, etc.

>> Install from the files at SourceForge:
>>
    - Download the latest NCID DEB packages from SourceForge:
      ncid DEB Package          - server, extensions and tools
      ncid-gateways DEB Package - gateways (if using a gateway)
      ncid-client DEB Package   - client and default output modules
                                  (if using this client)
>>
    - Download any optional output modules wanted:
      ncid-MODULE DEB Package   - optional client output modules
>>
    - Install or Upgrade the packages using apt or apt-get (command line):
        * Install the NCID server and gateways:
          sudo apt install ./ncid-<version>_<processor>.deb
        * Install the client package and default modules:
          sudo apt install ./ncid-client-<version>_all.deb
        * Install any optional modules:
          sudo apt install ncid-<module>-<version>_all.deb
>>
    Notes:
        <version> would be something like: 1.10.1-1
        <processor> would be: i386, armhf, amd64
        <module> would be: kpopup, mysql, mythtv, samba, speak

>> If you need to build a package for your specific OS or release, the
  build-essential, fakeroot and libpcap packages must be installed:
>>
          sudo apt-get build-essential fakeroot libpcap0.8-dev
          tar -xzf ncid-1.10.1-src.tar.gz
          mv ncid ncid-1.10.1
          cd ncid-1.10.1
          fakeroot debian/rules build
          fakeroot debian/rules binary
          fakeroot debian/rules clean

## Server Changes

> ncidd:

> - Fixed simple expressions to match on the alias size.

> ncidd.conf:

> Service Files Changes:

> Udev Files Changes (Linux based operating systems only):

## Gateway Changes

> obi2ncid:

> wc2ncid:

## Client Changes

> ncid:

> - Fixed hangup crashing ncid when the lineid contains one of more spaces.

## Client Output Module Changes

> ncid-notify:

> - removed NMA (Notify My Android) comments, code and variables.
    NMA closed operation on May 24, 2018.

> ncid-notify.conf:

> - removed NMA (Notify My Android) comments and variables.

## Client AppStream data Changes

## Documentation Changes

> Updated Manual Pages:

> - ncid-alert.1
> - ncid-notify.1
> - yac2ncid.1

> Updated Manual Pages template:

> - man.odg (used to generate man.pdf)

> Updated User Manual:

> - All INSTALL sections
> - Extensions section

> Updated API:

> - NCID-API.md

> Updated User Manual template:

> - NCID-UserManual-pdf.md
